## org.apache.solr.client.solrj.embedded
Class JettySolrRunner

    java.lang.Object
      org.apache.solr.client.solrj.embedded.JettySolrRunner

    public class JettySolrRunner

extends Object

Run solr using jetty

Since:
  solr 1.3
Version:
  $Id: JettySolrRunner.java 647048 2008-04-11 05:22:54Z hossman $

Nested Class Summary
`static class` `JettySolrRunner.Servlet404` This is a stupid hack to give jetty something to attach to

Constructor Summary
`JettySolrRunner(String context, int port)`
`JettySolrRunner(String context, int port, String solrConfigFilename)`

Method Summary
`int` `getLocalPort()` Returns the Local Port of the first Connector found for the jetty Server.
`static void` `main(String[] args)` A main class that starts jetty+solr This is useful for debugging
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettySolrRunner

    public JettySolrRunner(String context,
                           int port)

### JettySolrRunner

    public JettySolrRunner(String context,
                           int port,
                           String solrConfigFilename)

Method Detail

### start

    public void start()
               throws Exception

  Throws:
    `Exception`

### stop

    public void stop()
              throws Exception

  Throws:
    `Exception`

### getLocalPort

    public int getLocalPort()

  Returns the Local Port of the first Connector found for the jetty Server.

  Throws:
    `RuntimeException` - if there is no Connector

### main

    public static void main(String[] args)

  A main class that starts jetty+solr This is useful for debugging

Copyright © 2008 Apache Software Foundation. All Rights Reserved.